#
# Copyright 2014 Anselm Kruis
#
#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.

from __future__ import absolute_import, print_function, division

import unittest
import os
import tempfile
import shutil

import slpInstaller
DIR=os.path.dirname(os.path.abspath(slpInstaller.__file__))

class TestInstaller(unittest.TestCase):
    def setUp(self):
        unittest.TestCase.setUp(self)
        self.stdArgs = dict(verbose=3, dry_run=0)
        self.tmpdir = tempfile.mkdtemp()
        self.addCleanup(shutil.rmtree, self.tmpdir)
        
    def testBuildMissingModules(self):
        modules_src_archive = os.path.join(DIR, "linux-x86_64", "modules_src.tar.gz")
        missing_names = ["time", "_struct"]
        install_dir = self.tmpdir
        debug = True
        slpInstaller.build_missing_modules(modules_src_archive, 
                                           missing_names, 
                                           install_dir, 
                                           debug, 
                                           self.stdArgs)
